# Base de donnes fishrace v2 du 24 novembre 2001
#
# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Serveur: localhost Base de donnes: fishrace 
# --------------------------------------------------------
#
# Structure de la table 'fish_equipe'
# 
DROP TABLE IF EXISTS fish_equipe;
CREATE TABLE fish_equipe (
   ID smallint(5) unsigned NOT NULL auto_increment,
   idjoueur smallint(5) unsigned DEFAULT '0' NOT NULL,
   idpartie tinyint(3) unsigned DEFAULT '0' NOT NULL,
   idespece tinyint(3) unsigned DEFAULT '0' NOT NULL,
   nom varchar(30) NOT NULL,
   points smallint(5) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (idpartie, ID)
); 
# --------------------------------------------------------
#
# Structure de la table 'fish_espece'
# 
DROP TABLE IF EXISTS fish_espece;
CREATE TABLE fish_espece (
   ID tinyint(3) unsigned NOT NULL auto_increment,
   nom varchar(30) NOT NULL,
   glouton tinyint(3) unsigned DEFAULT '0' NOT NULL,
   camoufle tinyint(3) unsigned DEFAULT '0' NOT NULL,
   epine tinyint(3) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (ID)
); 
# --------------------------------------------------------
#
# Structure de la table 'fish_joueur'
# 
DROP TABLE IF EXISTS fish_joueur;
CREATE TABLE fish_joueur (
   ID smallint(5) unsigned NOT NULL auto_increment,
   nom varchar(30) NOT NULL,
   email varchar(50) NOT NULL,
   dateinscr date DEFAULT '0000-00-00' NOT NULL,
   motdepasse varchar(10) NOT NULL,
   session varchar(30) NOT NULL,
   datesession datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   nbsession smallint(6) DEFAULT '0' NOT NULL,
   veteran_on tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (ID)
); 
# --------------------------------------------------------
#
# Structure de la table 'fish_partie'
# DROP TABLE IF EXISTS fish_partie;
CREATE TABLE fish_partie (
   ID tinyint(3) unsigned NOT NULL auto_increment,
   idriviere tinyint(3) unsigned DEFAULT '0' NOT NULL,
   datedebut date DEFAULT '0000-00-00' NOT NULL,
   datefin date DEFAULT '0000-00-00' NOT NULL,
   nbplace tinyint(3) unsigned DEFAULT '0' NOT NULL,
   typepartie enum('Dbutants','Vtrans','Mixte'),
   etat enum('En cration','En cours','Termine'),
   PRIMARY KEY (ID)
); 
# --------------------------------------------------------
#
# Structure de la table 'fish_riviere'
# 
DROP TABLE IF EXISTS fish_riviere;
CREATE TABLE fish_riviere (
   ID tinyint(3) unsigned NOT NULL auto_increment,
   nom varchar(30) NOT NULL,
   PRIMARY KEY (ID)
);