<?php

// ------------------------------------------------------------
// ordres SQL utiliss dans les diffrentes pages 
//-------------------------------------------------------------

function getsql_infospartie($idpartie){
	
	//--- rcupration des infos gnrales d'une partie ---
	//datedbut
	//etat
	//typepartie
	//nom (nom de riviere)
	//nbplace (max possible)
	//nbpris (places prises)
	//---- critres ----
	//idpartie
	
	$sql =  "SELECT fish_partie.datedebut, fish_partie.etat, fish_partie.typepartie, fish_riviere.nom, fish_partie.nbplace, count(fish_equipe.id) as nbpris FROM fish_partie, fish_riviere LEFT JOIN fish_equipe ON fish_equipe.idpartie = $idpartie  WHERE fish_partie.id = $idpartie AND fish_partie.idriviere = fish_riviere.id GROUP BY fish_partie.id";

	return $sql;
}

function getsql_listeequipes($idpartie){
	
	//--- rcupration de la liste des quipes d'une partie ---
	//id (de l'equipe)
	//nomequipe
	//points
	//nomespece
	//veteran_on
	//nomjoueur
	//---- critres ----
	//idpartie
	
	$sql =  "SELECT fish_equipe.id, fish_equipe.nom as nomequipe, fish_equipe.points, fish_espece.nom as nomespece, fish_joueur.veteran_on, fish_joueur.nom as nomjoueur FROM fish_equipe, fish_joueur, fish_espece WHERE fish_equipe.idpartie = $idpartie AND fish_equipe.idjoueur = fish_joueur.id and fish_equipe.idespece = fish_espece.id";

	return $sql;
}